(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: upositive_rational_range.mli,v 1.3 2014/01/10 15:28:04 fclement Exp $ *)

(** {3 Positive rational number ranges} *)

type t = Upositive_rational_range_types.t;;

val of_rat : Upositive_rational.t -> Upositive_rational.t -> t;;

val intersection : t -> t -> t;;

val project : t -> Upositive_rational.t -> Upositive_rational.t;;
